Developers, please, do not ship .deb files who are not really proper packages but just install a snap. I just spent two hours debugging a hugo issue because I thought I was using a different version of node than I was.

Follow

I don't mind snaps, but they are not equivalent to a normal .deb package, so I need to *know* if I install a snap.

· · Web · 1 · 0 · 0

Of course, Ubuntu showed everything what not to do by doing exactly that for its Chromium "package" 🤦‍♂️. But my point still stands, people will encounter issues because of it, especially for developer tools.

Show thread
Sign in to participate in the conversation
Mastodon

The social network of the future: No ads, no corporate surveillance, ethical design, and decentralization! Own your data with Mastodon!